Subject: Re: Customer Service Advisor - Work From Home - Phone Support - CHARISE MAYHAY applied on Indeed
From: "CHARISE MAYHAY" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Mon, 30 Jan 2023 02:19:09 -0600 (CST)

Greetings! Thank you so much for keeping me informed. I'm doing fantastic! Thank you for your inquiry. Could you please tell me on which platform you shared the document? I have yet to receive anything. I eagerly await your response, and thank you very much! Regards, Charise

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C677ee972-7cbd-4d83-8256-5895e9662d66%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.